Bug 255561 - Review Request: d3lphin - A file manager for KDE focusing on usability
Review Request: d3lphin - A file manager for KDE focusing on usability
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
Depends On:
Blocks: 248800
  Show dependency treegraph
Reported: 2007-08-26 19:33 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-28 11:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-08-26 19:33:16 EDT
Spec URL: http://chitlesh.fedorapeople.org/d3lphin/d3lphin.spec
SRPM URL: http://chitlesh.fedorapeople.org/d3lphin/d3lphin-0.9.2-2.fc7.src.rpm
D3lphin is a fork of dolphin, since the latter
is unmaintained for kde3.

D3lphin focuses on being only a file manager.
This approach allows to optimize the user
interface for the task of file management.
Comment 1 Johan Cwiklinski 2007-08-27 17:03:58 EDT
+ package builds in mock (x86_64).
+ rpmlint is silent for SRPM.
+ rpmlint is silent for RPMS : the dangling symlink warning is normal (provided
by kdebase).
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code Not contents.
+ no static libraries present.
+ no .pc files present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available, and proprely installed.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ icon cache scriptlets used.
+ Desktop file handled correctly.
+ file permissions are appropriate.
+ GUI app, desktop file installed properly

Comment 2 Chitlesh GOORAH 2007-08-27 17:29:20 EDT
New Package CVS Request
Package Name: d3lphin
Short Description: A file manager for KDE focusing on usability
Owners: chitlesh
Branches: FC-6 F-7 devel
Comment 3 Kevin Fenzi 2007-08-28 00:21:44 EDT
cvs done. 

Note You need to log in before you can comment on or make changes to this bug.